#pragma once

#include "communication/SimpleCommandParser.h"
#include "protocol/IncomingAggreGateCommand.h"

class AggreGateCommandParser  : public SimpleCommandParser
{
public:
        AggreGateCommandParser(AggreReadableByteChannelPtr channel, unsigned char startChar, unsigned char endChar)
            : SimpleCommandParser(channel, startChar, endChar) {}

    CommandPtr createCommandFromBufferContent()
    {
        return CommandPtr(new IncomingAggreGateCommand(getData()));
    }
};
